Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Gems having native extensions #39

Closed
lgalabru opened this Issue · 6 comments

3 participants

@lgalabru

Hello there,

I'm having an issue when setting up my app on tokaido:

% bundle install
Your Gemfile lists the gem ruote-resque (~> 0.1.0) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of just one of them later.
Your Gemfile lists the gem rabl (>= 0) more than once.
You should probably keep only one of them.
While it's not a problem now, it could cause errors if you change the version of just one of them later.
Fetching source index from https://rubygems.org/
Fetching source index from https://gem.fury.io/me/
Resolving dependencies..............................................................
Using rake (10.1.0)
Using aasm (3.0.19)
Using i18n (0.6.1)
Using multi_json (1.7.7)
Using activesupport (3.2.13)
Using builder (3.0.4)
Using activemodel (3.2.13)
Using erubis (2.7.0)
Using journey (1.0.4)
Using rack (1.4.5)
Using rack-cache (1.2)
Using rack-test (0.6.2)
Using hike (1.2.3)
Using tilt (1.4.1)
Using sprockets (2.2.2)
Using actionpack (3.2.13)
Using mime-types (1.23)
Using polyglot (0.3.3)
Using treetop (1.4.14)
Using mail (2.5.4)
Using actionmailer (3.2.13)
Using arbre (1.0.1)
Using sass (3.2.9)
Using thor (0.18.1)
Using bourbon (3.1.8)

Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

/Users/ludovic/.tokaido/Rubies/2.0.0-p195/bin/ruby extconf.rb 

creating Makefile

make
compiling bcrypt_ext.c
i686-apple-darwin11-llvm-gcc-4.2: error trying to exec 'cc1': execvp: No such file or directory
make: *** [bcrypt_ext.o] Error 1

Gem files will remain installed in /Users/ludovic/.tokaido/Gems/gems/bcrypt-ruby-3.0.1 for inspection.
Results logged to /Users/ludovic/.tokaido/Gems/gems/bcrypt-ruby-3.0.1/ext/mri/gem_make.out
An error occurred while installing bcrypt-ruby (3.0.1), and Bundler cannot
continue.
Make sure that gem install bcrypt-ruby -v '3.0.1' succeeds before bundling.

Any idea :s ?

@androbtech
Collaborator

What version of OS X are you using?

@taylorsatula
@androbtech
Collaborator

Could you paste what's saved in the gem_make.out file?

@taylorsatula
@androbtech
Collaborator

Gem files will remain installed in /Users/ludovic/.tokaido/Gems/gems/bcrypt-ruby-3.0.1 for inspection.
Results logged to /Users/ludovic/.tokaido/Gems/gems/bcrypt-ruby-3.0.1/ext/mri/gem_make.out
An error occurred while installing bcrypt-ruby (3.0.1), and Bundler cannot
continue.

@androbtech
Collaborator

@taylorsatula We've released Tokaido 1.0 Can you download it and try it?

@androbtech androbtech closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.